FIX::DOMAttributes Class Referenceabstract

Interface that represents attribute from underlying XML parser. More...

`#include <DOMDocument.h>`

Inheritance diagram for FIX::DOMAttributes:
[legend]

## Public Types

typedef std::map< std::string, std::string > | map

## Public Member Functions

virtual | ~DOMAttributes ()
virtual bool | get (const std::string &, std::string &)=0
virtual map | toMap ()=0

## Detailed Description

Interface that represents attribute from underlying XML parser.

Definition at line 35 of file DOMDocument.h.

## Member Typedef Documentation

## map

typedef std::map<std::string, std::string> FIX::DOMAttributes::map

Definition at line 38 of file DOMDocument.h.

## Constructor & Destructor Documentation

## ~DOMAttributes()

virtual FIX::DOMAttributes::~DOMAttributes | ( |  | ) |

inline virtual

Definition at line 40 of file DOMDocument.h.

{}

## Member Function Documentation

## get()

virtual bool FIX::DOMAttributes::get | ( | const std::string & | ,
|  | std::string & |
| ) |  |

pure virtual

Implemented in FIX::PUGIXML_DOMAttributes.

## toMap()

virtual map FIX::DOMAttributes::toMap | ( |  | ) |

pure virtual

Implemented in FIX::PUGIXML_DOMAttributes.

The documentation for this class was generated from the following file:

- DOMDocument.h